#!/bin/bash

# use imagebuilder

ls -lah /Downloads

tar -xJf /Downloads/openwrt-imagebuilder-${OPENWRT_VERSION}-*.tar.xz
cd openwrt-imagebuilder-*/

make info

make image \
	PROFILE=rpi-4 \
	PACKAGES="kmod-rtc-ds1307 \
                  asterisk \
                  asterisk-pjsip asterisk-bridge-simple \
		  asterisk-codec-alaw asterisk-codec-ulaw \
		  asterisk-res-rtp-asterisk kmod-nf-nathelper-extra"

mkdir -p ../../out
mv build_dir/target-aarch64_cortex-a72_musl/linux-bcm27xx_bcm2711/tmp/*.gz ../../out
